For the complete documentation index, see llms.txt. This page is also available as Markdown.

Estimated Order

Estimate transaction fee (unit: sun)

post
Query parameters
quantityinteger · int32Required

Resource quantity

resource_typestring · enumOptional

Resource type, default is ENERGY

Possible values:
Header parameters
CF-ACCESS-KEYstringRequired

The API access key.

Example: your api key
CF-ACCESS-SIGNstringRequired

The Base64-encoded signature.

Example: signature
CF-ACCESS-TIMESTAMPstringRequired

The UTC request timestamp (e.g. 2008-08-08T08:08:08.888Z).

Responses
200

OK

application/json
codeinteger · int32Optional

Returns 0 on success; all other values indicate errors

msgstringOptional

Error message returned when an error occurs

sub_codestringOptional
sub_msgstringOptional
post/v1/mate/open/transaction/estimate
POST /v1/mate/open/transaction/estimate?quantity=1 HTTP/1.1
Host: api.catfee.io
CF-ACCESS-KEY: text
CF-ACCESS-SIGN: text
CF-ACCESS-TIMESTAMP: text
Accept: */*
200

OK

{
  "code": 1,
  "msg": "text",
  "sub_code": "text",
  "sub_msg": "text",
  "data": {
    "quantity": 1,
    "amount_sun": 1,
    "payee_address": "text"
  }
}

Last updated